# $Revision: 1.89 $, $Date: 2012/05/15 10:35:21 $
Summary:	Implementation of the draft Desktop Menu Specification
Summary(pl.UTF-8):	Implementacja specyfikacji menu systemów biurkowych
Name:		gnome-menus
Version:	3.4.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-menus/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	997c923d639d80185960185dcd250fc7
Patch0:		%{name}-nokde.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.29.15
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Provides:	xdg-menus
Obsoletes:	gnome-menus-filter-default
Obsoletes:	gnome-menus-filter-desktop
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec .

%description -l pl.UTF-8
Pakiet zawiera implementację specyfikacji menu systemów biurkowych z
freedesktop.org: http://www.freedesktop.org/Standards/menu-spec .

%package editor
Summary:	Simple menu editor
Summary(pl.UTF-8):	Prosty edytor menu
Group:		X11/Applications
Requires:	python-pygobject3
Requires:	xdg-menus

%description editor
Simple menu editor.

%description editor -l pl.UTF-8
Prosty edytor menu.

%package libs
Summary:	gnome-menus library
Summary(pl.UTF-8):	Biblioteka gnome-menus
Group:		Libraries
Provides:	gnome-vfs-menu-module = 1.1-1
Provides:	gnome-vfs2-module-menu = 1.1-1
Obsoletes:	gnome-vfs-menu-module
Obsoletes:	gnome-vfs2-module-menu
Obsoletes:	gnome-vfs2-vfolder-menu

%description libs
gnome-menus library.

%description libs -l pl.UTF-8
Biblioteka gnome-menus.

%package devel
Summary:	Header files of gnome-menus library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gnome-menus
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.29.15

%description devel
Headers for gnome-menus library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gnome-menus.

%package static
Summary:	Static gnome-menus library
Summary(pl.UTF-8):	Statyczna biblioteka gnome-menus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of gnome-menu library.

%description static -l pl.UTF-8
Statyczna biblioteka gnome-menu.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
	--enable-python
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/GMenuSimpleEditor/*.py

install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged

# not supported by glibc (as of 2.13-3)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{gn,io}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/xdg/menus
%{_datadir}/desktop-directories

%files editor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmenu-simple-editor
%{_datadir}/%{name}
%{_desktopdir}/gmenu-simple-editor.desktop
%dir %{py_sitedir}/GMenuSimpleEditor
%{py_sitedir}/GMenuSimpleEditor/*.py[co]

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-menu-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-menu-3.so.0
%{_libdir}/girepository-1.0/GMenu-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-menu-3.so
%{_datadir}/gir-1.0/GMenu-3.0.gir
%{_pkgconfigdir}/libgnome-menu-3.0.pc
%{_includedir}/gnome-menus-3.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-menu-3.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-menus.spec,v $
Revision 1.89  2012/05/15 10:35:21  kiesiu
- updated to 3.4.2

Revision 1.88  2012/03/27 19:13:50  kiesiu
- updated to 3.4.0

Revision 1.87  2011/09/28 21:48:17  wiget
- typo
- rel. 2

Revision 1.86  2011/09/28 20:40:27  wiget
- up to 3.2.0.1

Revision 1.85  2011/09/26 20:27:02  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.84.2.2  2011/09/19 17:43:50  megabajt
- updated to 3.1.92

Revision 1.84.2.1  2011/09/01 21:37:49  patrys
- 3.1.90

Revision 1.84  2011/04/26 16:47:23  kiesiu
- up to 3.0.1

Revision 1.83  2011/04/04 21:47:49  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.82  2011/03/26 09:40:31  qboosh
- en@shaw locale is supported now (via LANGUAGE)

Revision 1.80.2.2  2011/03/07 21:13:50  megabajt
- updated to 2.91.91

Revision 1.81  2011/03/05 17:53:12  baggins
- rel 3
- removed applnk conflict

Revision 1.80.2.1  2011/02/26 23:42:53  megabajt
- updated to 2.91.6

Revision 1.80  2010/11/23 20:51:02  megabajt
- removed unsupported kg locale
- release 2

Revision 1.79  2010/11/18 10:20:01  caleb
- Up to 2.30.5

Revision 1.78  2010/09/28 21:07:45  megabajt
- updated to 2.30.4

Revision 1.77  2010/07/09 11:16:44  arekm
- release 2

Revision 1.76  2010/06/22 21:20:50  megabajt
- updated to 2.30.2

Revision 1.75  2010/05/16 19:30:42  baggins
- rel 2
- editor can work fine with any xdg compliant menu

Revision 1.74  2010/03/30 17:46:51  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.72.2.3  2010/03/19 23:26:43  megabajt
- updated to 2.29.92

Revision 1.72.2.2  2010/02/23 19:46:23  megabajt
- updated to 2.29.91

Revision 1.73  2010/02/16 23:12:31  ankry
- dv alresdy supported, rel. 2

Revision 1.72.2.1  2010/02/13 11:32:13  megabajt
- updated to 2.29.6
- removed en@shaw locale

Revision 1.72  2009/10/01 17:56:37  megabajt
- updated to 2.28.0.1

Revision 1.71  2009/09/26 14:25:04  patrys
- let ca@valencia live

Revision 1.70  2009/09/26 13:14:01  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.69.2.3  2009/09/09 08:55:47  patrys
- 2.27.92

Revision 1.69.2.2  2009/07/29 08:59:10  patrys
- 2.27.5

Revision 1.69.2.1  2009/07/19 12:26:02  patrys
- 2.27.4

Revision 1.69  2009/07/02 10:08:04  megabajt
- updated to 2.26.2

Revision 1.68  2009/04/13 22:35:35  megabajt
- updated to 2.26.1

Revision 1.67  2009/03/17 18:36:00  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.66.2.1  2009/02/19 22:43:38  megabajt
- updated to 2.25.91

Revision 1.66  2008/11/25 21:42:28  megabajt
- updated to 2.24.2

Revision 1.65  2008/10/23 10:55:07  megabajt
- updated to 2.24.1

Revision 1.64  2008/10/04 14:09:24  megabajt
- release 2

Revision 1.63  2008/09/27 11:08:31  megabajt
- updated to 2.24.0; merged from DEVEL

Revision 1.61.2.7  2008/09/12 22:45:47  patrys
- drop PLD patch for costintency with other distros
- please fix applications rather than work around their broken desktop files here

Revision 1.61.2.6  2008/09/04 10:04:47  patrys
- 2.23.91

Revision 1.61.2.5  2008/08/05 14:17:50  patrys
- 2.23.6

Revision 1.61.2.4  2008/07/23 14:41:58  patrys
- 2.23.5

Revision 1.61.2.3  2008/06/17 11:09:16  megabajt
- updated to 2.23.4

Revision 1.61.2.2  2008/06/04 00:30:12  patrys
- 2.23.3

Revision 1.62  2008/06/01 11:25:36  megabajt
- updated to 2.22.2

Revision 1.61.2.1  2008-05-14 13:28:22  patrys
- 2.23.1

Revision 1.61  2008-04-11 19:20:31  sls
- ver. 2.22.1

Revision 1.60  2008-03-11 19:17:14  patrys
- 2.22.0
- merged from DEVEL

Revision 1.58.2.7  2008-03-11 19:15:42  patrys
- 2.22.0

Revision 1.58.2.6  2008-02-11 19:39:54  megabajt
- updated to 2.21.91

Revision 1.58.2.5  2008-01-28 16:27:36  megabajt
- io locale seems to be unsupported

Revision 1.58.2.4  2008-01-28 13:32:46  megabajt
- updated to 2.21.90

Revision 1.58.2.3  2008-01-15 15:13:12  patrys
- 2.21.5

Revision 1.59  2008-01-09 20:35:51  megabajt
- updated to 2.20.3

Revision 1.58.2.2  2007-12-24 13:36:57  megabajt
- updated to 2.21.3
- use gio as monitor backend
- more verbose files

Revision 1.58.2.1  2007-12-19 21:50:04  patrys
- 2.21.2

Revision 1.58  2007-11-27 20:52:49  qboosh
- BR: sed 4.0

Revision 1.57  2007-11-27 19:05:56  megabajt
- updated to 2.20.2
- use better way to fix locale name

Revision 1.56  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.55  2007/10/16 17:49:03  megabajt
- updated to 2.20.1

Revision 1.54  2007/09/18 10:01:25  patrys
- patch fixed
- rel 2

Revision 1.53  2007/09/17 19:03:27  megabajt
- updated to 2.20.0

Revision 1.52.2.3  2007/09/07 20:37:53  megabajt
- updated to 2.19.92

Revision 1.52.2.2  2007/08/29 09:00:26  megabajt
- updated deps

Revision 1.52.2.1  2007/08/29 02:39:12  patrys
- 2.19.90

Revision 1.52  2007/08/06 10:35:07  patrys
- drop mutual obsoletes and add conflicts

Revision 1.51  2007/07/10 15:42:14  wolvverine
- up to 2.18.3

Revision 1.50  2007/05/30 14:35:31  megabajt
- updated to 2.18.2

Revision 1.49  2007/03/13 12:57:50  megabajt
- oops, be@latin locale is already supported by glibc-2.5

Revision 1.48  2007/03/13 12:55:56  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.47.2.1  2007/03/01 21:00:15  megabajt
- updated to 2.17.92

Revision 1.47  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.45  2006/11/28 18:50:56  megabajt
- up to 2.16.1

Revision 1.44  2006/11/04 15:38:22  megabajt
- release 2 to rebuild with python 2.5

Revision 1.43  2006/10/05 22:10:32  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.42  2006/09/04 20:35:14  grzegol
- 2.16.0

Revision 1.41  2006/08/28 05:48:28  freetz
- rel.3 for rebuild with new python

Revision 1.40  2006/08/23 10:17:02  havner
- rel 2

Revision 1.39  2006/08/23 10:12:05  havner
- rpm-build-root

Revision 1.38  2006/08/23 10:10:52  havner
- own /etc/xdg/menus/applications-merged

Revision 1.37  2006/08/08 19:51:26  freetz
- 2.15.91

Revision 1.36  2006/07/25 16:50:42  freetz
- 2.15.90

Revision 1.35  2006/07/25 13:36:23  havner
- nokde patch

Revision 1.34  2006/07/13 21:41:01  freetz
- killed gn locale (gnomish? ;), rel.2

Revision 1.33  2006/07/11 17:35:41  freetz
- 2.15.4.1, updated deps, --as-needed support

Revision 1.32  2006/06/08 18:09:33  freetz
- removed unsupported locale, rel.4

Revision 1.31  2006/05/26 23:44:57  qboosh
- merged deps update from AC-branch

Revision 1.28.4.2  2006/05/18 21:37:17  baggins
- release 2
- strict reqs

Revision 1.28.4.1  2006/05/15 15:20:21  baggins
- merged from HEAD

Revision 1.30  2006/04/13 19:30:34  freetz
- 2.14.0

Revision 1.29  2006/04/01 21:31:13  freetz
- merged from DEVEL

Revision 1.28.2.1  2006/01/27 20:22:35  freetz
- 2.13.5

Revision 1.28  2005/10/05 17:48:09  jareq
- added missing %dir %{py_site}/GMenuSimpleEditor
- rel 2
- STBR

Revision 1.27  2005/09/21 20:59:39  patrys
- missing R: for editor package

Revision 1.26  2005/09/06 13:47:14  qboosh
- .so perms

Revision 1.25  2005/09/06 13:01:02  aflinta
- Merged from DEVEL, 2.12.0

Revision 1.24.2.9  2005/08/22 19:37:45  aflinta
- version 2.11.92

Revision 1.24.2.8  2005/08/09 13:37:41  aflinta
- ups, missing desktop file

Revision 1.24.2.7  2005/08/09 13:34:35  aflinta
- up to version 2.11.91

Revision 1.24.2.6  2005/08/07 17:06:22  paladine
- missing BR: python-devel

Revision 1.24.2.5  2005/07/26 14:32:44  paladine
- added pl patch

Revision 1.24.2.4  2005/07/26 14:19:17  freetz
- 2.11.90

Revision 1.24.2.3  2005/07/26 12:57:33  paladine
- editor should be in editor subpackage ;), rel. 2

Revision 1.24.2.2  2005/07/10 20:47:46  freetz
- menu editor packaged

Revision 1.24.2.1  2005/07/03 16:56:55  freetz
- 2.11.1.1, TODO added

Revision 1.24  2005/07/01 11:15:52  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.23  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.22  2005/05/23 16:12:49  paladine
- R: gnome-menus and s/Conflicts/Obsoletes in filter-default subpackage
- rel. 8

Revision 1.21  2005/05/23 15:38:08  paladine
- P: xdg-menus, rel. 7

Revision 1.20  2005/05/13 22:37:41  ankry
- really added proper versioned provides, rel. 6

Revision 1.19  2005/05/13 17:19:36  blues
- release 5 - add version to proper provides

Revision 1.18  2005/05/13 17:06:53  aredridel
- BR: gnome-common

Revision 1.17  2005/05/13 16:35:57  qboosh
- unified

Revision 1.16  2005/05/13 14:27:32  patrys
- changed C:

Revision 1.15  2005/05/13 13:04:11  blues
- release 4

Revision 1.14  2005/05/13 13:03:09  blues
- more provides/obsoletes

Revision 1.13  2005/05/13 12:55:12  blues
- provides and obsoletes to allow smooth upgrade (next attempt)

Revision 1.12  2005/05/13 11:07:47  patrys
- separated the menu filter

Revision 1.11  2005/04/25 20:34:02  freetz
- do not provide applnk funcionality, rel.3

Revision 1.10  2005/04/18 12:26:18  paladine
- added PLD patch (now all desktops should appear in menu)
- rel. 2

Revision 1.9  2005/03/23 20:22:38  paladine
- updated to 2.10.1

Revision 1.8  2005/03/20 20:35:33  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.7  2005/03/07 19:39:46  wiget
- updated to 2.10.0

Revision 1.6  2005/03/01 11:57:06  aflinta
- up to version 2.9.92

Revision 1.5  2005/02/13 18:50:23  grzegol
- added Provides/Obsoletes applnk to main subpackage
- libs: R: applnk O: gnome-vfs2-module-menu
- rel. 2

Revision 1.4  2005/02/06 23:27:30  grzegol
- added libs subpackage
- rel. 1.1

Revision 1.3  2005/02/05 12:21:26  qboosh
- cosmetics

Revision 1.2  2005/02/04 09:43:54  aflinta
- added missing ldconfig invocation

Revision 1.1  2005/02/04 09:42:26  aflinta
- PLD Initial release
